﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>

<% Ajax.RegisterClientScriptInclude(Url.Content("~/Scripts/jquery-1.3.2.min.js")); %>
<% Ajax.RegisterClientScriptInclude(Url.Content("~/Scripts/MicrosoftAjax.js")); %>
<% Ajax.RegisterClientScriptInclude(Url.Content("~/Scripts/MicrosoftAjaxTemplates.js")); %>
<% Ajax.RegisterClientScriptInclude(Url.Content("~/Scripts/ajax.search.js")); %>

<style type="text/css">
</style>

<div id="searchResultsDynamic" class="panel searchResults" style="display:none">
    <div class="innerPanel">
        <h2>
            <ul>
                <li class="linkActivities">
                    <strong>Activities</strong>
                </li>
            </ul>
        </h2>
        
        <div id="resultsTemplateContainer">
            <div class="items loading"></div>
            <div class="toolbox"></div>
        </div>
    </div>
</div>

<%-- Templates --%>
<div style="display:none" id="templates">

    <%-- Activities template --%>
    <div id="dynamicActivitiesResults" style="display:none;">
        <div id="dynamicActivitiesSort" class="sys-template subheader">
            Sort by:
            <strong sys:if="$dataItem.orderBy=='Name'">Name</strong>
            <a sys:if="$dataItem.orderBy!='Name'" sys:href="{binding null, convert=sortByConverter, defaultValue=Name}">Name</a>
            |
            <strong sys:if="$dataItem.orderBy=='Rating'">Rating</strong>
            <a sys:if="$dataItem.orderBy!='Rating'" sys:href="{binding null, convert=sortByConverter, defaultValue=Rating}">Rating</a>
            |
            <strong sys:if="$dataItem.orderBy=='ActivityType'">Type</strong>
            <a sys:if="$dataItem.orderBy!='ActivityType'" sys:href="{binding null, convert=sortByConverter, defaultValue=ActivityType}">Type</a>
        </div>
        <div class="items">
            <h3 id="dynamicActivitiesEmpty" style="display:none">No activities found...</h3>
            <ul id="dynamicActivitiesItems"  class="sys-template activities" >
                <li>
                    <span class="off id">{{ Id }}</span>
                    <h3>
                        <span class="rating"><span>Rating: </span>{binding Rating, convert=ratingConverter}</span>
                        <a sys:href="{binding Id, convert=activityDetailsLinkConverter}">{{ Name }}</a>
                    </h3>
                    <p>{{ Street }} | {{ City }}, {{ State }} {{ Zip }} | Phone: {{ PhoneNumber }}</p>
                </li>
            </ul>
        </div>
        <div class="toolbox">
            <div class="pager">
                <span id="dynamicActivitiesPager" class="sys-template">
                    <span sys:if="$index==0">
                        <strong sys:if="$dataItem.currentPage===1">«</strong>
                        <a sys:if="$dataItem.currentPage!==1" sys:href="{binding currentPage, convert=previousPageConverter}" class="ajaxSearch">«</a>
                         | 
                    </span>
                    <strong sys:if="$dataItem.currentPage===$dataItem.pageNumber">{{ pageNumber }}</strong>
                    <a sys:if="$dataItem.currentPage!==$dataItem.pageNumber" sys:href="{binding pageNumber, convert=pageConverter}" class="ajaxSearch">{{ pageNumber }}</a>
                    | 
                    <span sys:if="$dataItem.totalPages==$dataItem.pageNumber">
                        <strong sys:if="$dataItem.currentPage===$dataItem.pageNumber">»</strong>
                        <a sys:if="$dataItem.currentPage!==$dataItem.pageNumber" sys:href="{binding currentPage, convert=nextPageConverter}" class="ajaxSearch">»</a>
                    </span>
                </span>
            </div>
        </div>
    </div>
</div>