﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<div id="searchForm" class="panel">
    <div class="innerPanel">
        <% var model = ViewData["SearchFields"] as ActivitySearchFields; %>
        <h2><span>Activity Search <%= Html.ValidationMessage("ActivitySearchCriteria")%></span></h2>
        <fieldset>
        <% using (Html.BeginForm("Search","Home",FormMethod.Get)) %>
        <% { %>
            <div class="fieldsA">
                <p>
                    Select an activity type and enter a location to constrain your search by....
                </p>
                <p>
                    <label for="ActivityTypeId">Activity:</label>
                    <%=Html.DropDownList("ActivityTypeId", model.ActivityTypes)%>
                </p>
            </div>
            <div class="fieldsB">
                <p>
                    <label for="StreetAddress">Address:</label>
                    <%=Html.TextBox("StreetAddress")%>
                </p>
                <p>
                    <label for="City">City:</label>
                    <%=Html.TextBox("City")%>
                    <label for="State">State:</label>
                    <%=Html.DropDownList("State", model.States)%>
                </p>
                <p>
                    <label for="Zip">Zip:</label>
                    <%=Html.TextBox("Zip", null, new { size = 5, maxlength = 5 })%>
                </p>
            </div>
            <%=Html.Hidden("SortBy") %>
            <input type="submit" value="Search" />
        <% } %>
        </fieldset>
    </div>
</div>
